PYBIT-WATCHER(1)

NAME
pybit-watcher - watches incoming directories for reprepro

SYNOPSIS

pybit-watcher [options]

DESCRIPTION

pybit-watcher monitors a nominated directory for Debian package uploads (*.changes) and then runs a specified incoming rule on the configured reprepro repository.

OPTIONS

-h, --help
    show this help message and exit

--conf_file=PYBIT_WATCHER_CONF_FILE
    Config file to read settings from, defaults to watcher.conf which will be read from configs/watcher and /etc/pybit/watcher in turn.

-v
    Turn on verbose messages.

-d
    Daemonise with output going to /var/log/pybit-watcher

DAEMON CONFIGURATION

pybit-watcher needs to be configured before it will run and process uploads. The configuration file is in JSON format, ordering is not important.

repobase - top level directory of the reprepro repository, i.e. where reprepro can find the ./conf/distributions file.

path - directory used for uploads, must be writeable by whichever user(s) will be able to upload.

dryrun - if set to true, commands are printed to the console instead of being executed. Default: true

rule - the reprepro incoming rule to call with this watcher. Only one incoming rule can be used.

sleeptime - the time allowed after the watcher is notified that a .changes file has been written to allow for the upload tool to change permissions or other management tasks. Default: 3 seconds.

configured - Set to true once the other settings are correct for your installation. Default is false.

AUTHOR

This manual page was written by Neil Williams <codehelp@debian.org>